varying float x_pos; // 0 = left, 1 = right
varying vec4 color;

void main() {
	float x = x_pos * 2.0 - 1.0; /* -1 = left, +1 = right */
	float v = exp(-4.0 * x * x);
	v *= 1.0 - (sin(x*1000.0) + 1.0) * 0.03;
	gl_FragColor = vec4(color.xyz, color.a * v);
}
